> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Finverse statement CSV

> Fetch a customer statement (in csv format) for all ledger transactions associated with a Customer App. The statement is returned as a short-lived URL link to the csv file.

**Authorization**: `customer_token`



## OpenAPI

````yaml /api-reference/openapi.json get /ledger/statement
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /ledger/statement:
    get:
      tags:
        - ledger
      summary: Generate Finverse statement CSV
      description: >-
        Fetch a customer statement (in csv format) for all ledger transactions
        associated with a Customer App. The statement is returned as a
        short-lived URL link to the csv file.


        **Authorization**: `customer_token`
      operationId: downloadBalanceStatement
      parameters:
        - description: UTC start date for filtering (applied to Payment `updated_at` field)
          name: date_from
          in: query
          schema:
            type: string
            format: date
        - description: UTC end date for filtering (applied to Payment `updated_at` field)
          name: date_to
          in: query
          schema:
            type: string
            format: date
        - description: The currencies to filter for
          name: currencies
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DownloadBalanceStatementResponse'
              examples:
                success:
                  summary: Success
                  value:
                    download_url: >-
                      https://storage.googleapis.com/prod-app-ledger/01GKRZX00MYHDW3KSA18NZP342/241115%20Finverse%20Statement%20-%20FV%20Team%20-%2020241101-20241115.csv?Expires=1731727684&GoogleAccessId=b-prod-app-payment%40finverseprod1.iam.gserviceaccount.com&Signature=2%2BT1P5HMccu2MwxNOlO77aEn4Fqzu9P%2BEj5IjgOIZwwHkmr2vceB4Ia9kQjt9o3p0AytAawGrDUhuTisYgYasKhFsMJLmk4vckbHBqck2n0HDbx%2Fqs7cGgMS0rvqtxH1BYk9Dl7eH2YFcQXpUo%2FhIMgDwSKny2UxLWrR3NsoVHxDMONYWM1hoeUFfOeYyZ6RgQNTD3Pc1WllYJfSjotOuniIXDkWRkvMtpG%2FOMXf5j%2BWqpzlNIo0N5xTLsCh7r16WpJEpyhugBl6zmSWVSjaQG3v5uEwWU%2B%2Fcq1Sl6cqWrfej0acZ7lQ9KQdu5k%2FrZLo41d9WobdudFStmHtR7g3mA%3D%3D
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrBodyModelV2'
      security:
        - Oauth2:
            - ledger:statement
components:
  schemas:
    DownloadBalanceStatementResponse:
      required:
        - download_url
      properties:
        download_url:
          description: >-
            URL where the statement csv file can be downloaded. Note: URL is
            valid for 60s only.
          type: string
    ErrBodyModelV2:
      properties:
        error:
          $ref: '#/components/schemas/FvErrorModelV2'
    FvErrorModelV2:
      required:
        - type
        - error_code
        - message
        - details
        - request_id
      properties:
        details:
          type: string
        error_code:
          type: string
          example: CREDENTIALS_INVALID
        message:
          type: string
        request_id:
          description: The request_id provided in the request header
          type: string
        type:
          description: The error type
          type: string
          enum:
            - LINK_ERROR
            - API_ERROR
          example: LINKING_ERROR
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````